Index: xpp/pic_loader.c
===================================================================
--- xpp/pic_loader.c	(revision 7751)
+++ xpp/pic_loader.c	(working copy)
@@ -22,6 +22,7 @@
 
 #include <assert.h>
 #include <string.h>
+#include <stdlib.h>
 #include <errno.h>
 #include <regex.h>
 #include "hexfile.h"
Index: xpp/astribank_tool.c
===================================================================
--- xpp/astribank_tool.c	(revision 7751)
+++ xpp/astribank_tool.c	(working copy)
@@ -26,6 +26,7 @@
 #include <errno.h>
 #include <assert.h>
 #include <getopt.h>
+#include <sys/types.h>
 #include <arpa/inet.h>
 #include "mpp_funcs.h"
 #include "debug.h"
Index: xpp/astribank_hexload.c
===================================================================
--- xpp/astribank_hexload.c	(revision 7751)
+++ xpp/astribank_hexload.c	(working copy)
@@ -20,6 +20,7 @@
  *
  */
 
+#include <unistd.h>
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
Index: xpp/astribank_usb.c
===================================================================
--- xpp/astribank_usb.c	(revision 7751)
+++ xpp/astribank_usb.c	(working copy)
@@ -21,6 +21,8 @@
  */
 
 #define	_GNU_SOURCE	/* for memrchr() */
+#include <unistd.h>
+#include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
 #include <assert.h>
Index: xpp/Makefile
===================================================================
--- xpp/Makefile	(revision 7751)
+++ xpp/Makefile	(working copy)
@@ -27,7 +27,7 @@
 SBINDIR		= $(prefix)/sbin
 DATADIR		= $(datadir)/dahdi
 MANDIR		= $(mandir)/man8
-HOTPLUG_USB_DIR	= /etc/hotplug/usb
+HOTPLUG_USB_DIR	= $(sysconfdir)/hotplug/usb
 PERLLIBDIR	:= $(shell eval `perl -V:sitelib`; echo "$$sitelib")
 PERL_DIRS	:= $(shell cd perl_modules; find * -name '[A-Z]*' -type d| xargs)
 PERL_MODS_PAT	:= *.pm $(PERL_DIRS:%=%/*.pm)
Index: xpp/fpga_load.c
===================================================================
--- xpp/fpga_load.c	(revision 7751)
+++ xpp/fpga_load.c	(working copy)
@@ -20,6 +20,8 @@
  *
  */
 
+#include <unistd.h>
+#include <stdlib.h>
 #include <stdio.h>
 #include <assert.h>
 #include <string.h>
Index: xpp/astribank_allow.c
===================================================================
--- xpp/astribank_allow.c	(revision 7751)
+++ xpp/astribank_allow.c	(working copy)
@@ -28,6 +28,7 @@
 #include <assert.h>
 #include <getopt.h>
 #include <time.h>
+#include <sys/types.h>
 #include <arpa/inet.h>
 #include <ctype.h>
 #include "mpp.h"
Index: xpp/mpp_funcs.c
===================================================================
--- xpp/mpp_funcs.c	(revision 7751)
+++ xpp/mpp_funcs.c	(working copy)
@@ -20,6 +20,7 @@
  *
  */
 
+#include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
 #include <assert.h>
